LogNotification (Message Queue, 5.1 API Specification)
Date: 2019-01-27

com.sun.messaging.jms.management.server

## Class LogNotification

- java.lang.Object
- - java.util.EventObject
  - - javax.management.Notification
    - - com.sun.messaging.jms.management.server.MQNotification
      - - com.sun.messaging.jms.management.server.LogNotification

- All Implemented Interfaces:
    java.io.Serializable

      public class LogNotification
      extends MQNotification

  Class containing information on log related notifications. Log Notifications are sent when an entry in the broker log is made.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `LOG_LEVEL_ERROR`
    `static java.lang.String` | `LOG_LEVEL_INFO`
    `static java.lang.String` | `LOG_LEVEL_PREFIX`
    `static java.lang.String` | `LOG_LEVEL_WARNING`

    - ### Fields inherited from class com.sun.messaging.jms.management.server.MQNotification

      `PREFIX`

    - ### Fields inherited from class javax.management.Notification

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogNotification(java.lang.String type, java.lang.Object source, long sequenceNumber)` Creates a LogNotification object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLevel()` Returns the log level related to this log notification.
    `java.lang.String` | `getMessage()` Returns message related to this log notification.
    `void` | `setLevel(java.lang.String level)` Sets the log level related to this log notification.
    `void` | `setMessage(java.lang.String msg)` Sets the message related to this log notification.

    - ### Methods inherited from class javax.management.Notification

      `getSequenceNumber, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData, toString`

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LOG_LEVEL_PREFIX

          public static final java.lang.String LOG_LEVEL_PREFIX

      See Also:
        Constant Field Values

    - #### LOG_LEVEL_WARNING

          public static final java.lang.String LOG_LEVEL_WARNING

      See Also:
        Constant Field Values

    - #### LOG_LEVEL_ERROR

          public static final java.lang.String LOG_LEVEL_ERROR

      See Also:
        Constant Field Values

    - #### LOG_LEVEL_INFO

          public static final java.lang.String LOG_LEVEL_INFO

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LogNotification

          public LogNotification(java.lang.String type,
                                 java.lang.Object source,
                                 long sequenceNumber)

      Creates a LogNotification object.
      Parameters:
        `type` - The notification type.
        `source` - The notification source.
        `sequenceNumber` - The notification sequence number within the source object.

  - ### Method Detail

    - #### setMessage

          public void setMessage(java.lang.String msg)

      Sets the message related to this log notification.
      Parameters:
        `msg` - The log message for this notification.

    - #### getMessage

          public java.lang.String getMessage()

      Returns message related to this log notification.
      Overrides:
        `getMessage` in class `javax.management.Notification`
      Returns:
        The log message for this notification.

    - #### setLevel

          public void setLevel(java.lang.String level)

      Sets the log level related to this log notification.
      Parameters:
        `level` - The log level for this notification.

    - #### getLevel

          public java.lang.String getLevel()

      Returns the log level related to this log notification.
      Returns:
        The log level for this notification.

Copyright (c) 2010, 2017 Oracle and/or its affiliates. All rights reserved.